// Licensed Materials - Property of IBM
// 5725-C95
// Copyright IBM Corporation 2009, 2012. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var cmd = "%windir%\\system32\\cmd.exe";

function getProductProperty(propertyName)
{
    var forReading = 1;
    var tristateUseDefault = -2;
    
    var f = fileObject.GetFile(${WBIROOT} + "\\util\\bpm.shortcuts.nls\\script\\count.properties");
    var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
    
    var propertyValue = "";
    while (!ts.AtEndOfStream)
    {
        var lineText = ts.ReadLine();
        if ( lineText.indexOf(propertyName) >= 0)
        {
            propertyValue = lineText.substr(lineText.lastIndexOf("=") +  1);
            break;
        }
    }
    ts.Close();
    
    return propertyValue;
}

var productLabel = getProductProperty("com.ibm");

var startMenuLocation = wshShell.SpecialFolders("Programs");
var IBM = startMenuLocation + "\\IBM";
var product = IBM + "\\" + productLabel;
var profiles = product + "\\${PROFILESDIR}";
var profile = profiles + "\\${PROFILENAME}";

if (fileObject.FolderExists(profile))
      fileObject.DeleteFolder(profile);

if (fileObject.FolderExists(profiles) && fileObject.GetFolder(profiles).size == 0)  
      fileObject.DeleteFolder(profiles);      
      
if (fileObject.FolderExists(product) && fileObject.GetFolder(product).size == 0)  
      fileObject.DeleteFolder(product);	

if (fileObject.FolderExists(IBM) && fileObject.GetFolder(IBM).size == 0)  
      fileObject.DeleteFolder(IBM);	